<template>
    <KinesisContainer>
        <section class="guaranties">
            <div class="container">
                <div class="section-title" id="guaranties">Guaranties</div>
                <div class="list">
                    <div class="item" v-for="b of guaranties" :key="b.id">
                        <AppOneBlock
                                :id="b.id"
                                :title="b.title"
                                :description="b.description"
                                section="guaranties"
                                class-list="center"
                        ></AppOneBlock>
                        <div class="check-plans">Check Plans</div>
                    </div>
                </div>
            </div>
            <kinesis-element :strength="7" class="figure9">
                <img srcset="../../assets/img/backgrounds/figure9.png, ../../assets/img/backgrounds/figure9.2x.png 2x"
                     src="figure9.png" alt="Figure 9">
            </kinesis-element>
            <kinesis-element :strength="3" class="figure10">
                <img srcset="../../assets/img/backgrounds/figure10.png, ../../assets/img/backgrounds/figure10.2x.png 2x"
                     src="figure10.png" alt="Figure 10">
            </kinesis-element>
        </section>
    </KinesisContainer>
</template>

<script>
    import AppOneBlock from "@/components/AppOneBlock";
    import Guaranties from "../../data/guaranties";
    import {KinesisContainer, KinesisElement} from 'vue-kinesis';

    export default {
        name: "Guaranties",
        components: {
            AppOneBlock,
            KinesisContainer,
            KinesisElement
        },
        data: () => {
            return {
                guaranties: Guaranties('en').getData()
            }
        }
    }
</script>

<style scoped lang="scss">
    .guaranties {
        position: relative;
        display: flex;
        justify-content: center;
        padding-top: 210px;

        .figure9 {
            position: absolute;
            top: -100px;
            left: -150px;
        }

        .figure10 {
            position: absolute;
            top: -80px;
            right: -750px;
        }

        .container {
            width: 989px;

            .list {
                display: flex;
                flex-wrap: wrap;
                justify-content: space-between;

                .item {
                    position: relative;
                    display: flex;
                    width: 273px;
                    margin-top: 90px;
                    padding-bottom: 40px;

                    .check-plans {
                        position: absolute;
                        bottom: 0;
                        left: 50%;
                        transform: translateX(-50%);
                        color: #0263ff;
                        font-family: $mainFont, sans-serif;
                        font-size: 14px;
                        font-weight: 700;
                        letter-spacing: 0.86px;

                        &:hover {
                            cursor: pointer;
                        }
                    }
                }
            }
        }
    }
</style>
